Package com.logicaldoc.core.security.spring

# Class LDDeferredSecurityContext

java.lang.Object
com.logicaldoc.core.security.spring.LDDeferredSecurityContext

All Implemented Interfaces:
  `Supplier<org.springframework.security.core.context.SecurityContext>`, `org.springframework.security.core.context.DeferredSecurityContext`

public class LDDeferredSecurityContext extends Object implements org.springframework.security.core.context.DeferredSecurityContext

## Constructor Summary

Constructors
Constructor
Description
`LDDeferredSecurityContext(jakarta.servlet.http.HttpServletRequest request)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`bindServletSession(String sid, jakarta.servlet.http.HttpServletRequest request)`
`static void`
`bindServletSession(String sid, jakarta.servlet.http.HttpSession servletSession)`
`org.springframework.security.core.context.SecurityContext`
`get()`
`static jakarta.servlet.http.HttpSession`
`getServletSession(String sid)`
`boolean`
`isGenerated()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LDDeferredSecurityContext

public LDDeferredSecurityContext(jakarta.servlet.http.HttpServletRequest request)

## Method Details

### get

public org.springframework.security.core.context.SecurityContext get()

Specified by:
  `get` in interface `Supplier<org.springframework.security.core.context.SecurityContext>`

### isGenerated

public boolean isGenerated()

Specified by:
  `isGenerated` in interface `org.springframework.security.core.context.DeferredSecurityContext`

### bindServletSession

public static void bindServletSession(String sid, jakarta.servlet.http.HttpServletRequest request)

### bindServletSession

public static void bindServletSession(String sid, jakarta.servlet.http.HttpSession servletSession)

### getServletSession

public static jakarta.servlet.http.HttpSession getServletSession(String sid)